package com.anjun.debug

import android.text.TextUtils
import android.view.View
import android.widget.AdapterView
import android.widget.AdapterView.OnItemSelectedListener
import android.widget.TextView
import com.anjun.common.base.CommonBaseApp
import com.anjun.common.base.activity.BaseTitleActivity
import com.anjun.supervision.R
import com.anjun.supervision.databinding.ActivityDebugConfigBinding

/**
 *
 * @author melle
 * @since 2024/03/25 16:46:23
 */
class DebugConfigActivity:BaseTitleActivity<ActivityDebugConfigBinding>() {
    override fun TextView.setupTitle() {
        text = "监管仓操作PDA调试页面"
    }

    override fun ActivityDebugConfigBinding.initBindingView() {
        if (TextUtils.isEmpty(CommonBaseApp.debugHost)) {
            snHost.setSelection(0)
        }else{
            resources.getStringArray(R.array.host_list).forEachIndexed { index, host ->
                if (host.contains(CommonBaseApp.debugHost)){
                    snHost.setSelection(index)
                    return@forEachIndexed
                }
            }
        }
        snHost.onItemSelectedListener = object :OnItemSelectedListener{
            override fun onItemSelected(
                parent: AdapterView<*>?,
                view: View?,
                position: Int,
                id: Long
            ) {
                if (position==0){
                    CommonBaseApp.debugHost = ""
                    return
                }
                resources.getStringArray(R.array.host_list)[position]?.let {
                    CommonBaseApp.debugHost = "https://${it.split("(")[0]}"
                }
            }

            override fun onNothingSelected(parent: AdapterView<*>?) {
                //ignore
            }

        }
    }
}