package com.anjun.core.mvvm

import androidx.databinding.ViewDataBinding
import com.anjun.core.mvvm.ext.getViewBinding

/**
 *
 * @Description
 * @Author melle
 * @CreateTime 2024/03/08 15:38:06
 */
abstract class BaseBindingActivity<VB : ViewDataBinding> : BaseActivity(),
    BaseBinding<VB> {

    protected open val mBindingBase: VB by lazy {
        getViewBinding<VB>(layoutInflater).also { it.lifecycleOwner = this }
    }

    override fun getLayoutId(): Int = 0

    override fun setup() {
        super.setup()
        mBindingBase.initBinding()
        setupView()
        setupData()
    }

    protected open fun setupView(){}

    protected open fun setupData(){}

    override fun setupContentView() {
        setContentView(mBindingBase.root)
    }
}