package com.anjun.core.mvvm

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.databinding.ViewDataBinding
import com.anjun.core.mvvm.ext.getViewBinding

/**
 *
 * @Description
 * @Author melle
 * @CreateTime 2024/03/09 10:49:58
 */
abstract class BaseBindingFragment<VB:ViewDataBinding> : BaseFragment(),BaseBinding<VB> {
    protected lateinit var mBinding:VB
        private set

    override fun setupContentView(inflater: LayoutInflater, container: ViewGroup?): View {
        mBinding = getViewBinding(inflater)
        return mBinding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        mBinding.initBinding()
        setupView()
        setupData()
    }

    protected open fun setupView(){}

    protected open fun setupData(){}

    override fun onDestroy() {
        super.onDestroy()
        if (::mBinding.isInitialized){
            mBinding.unbind()
        }
    }
}