package com.anjun.core.tool.ext

import com.anjun.core.tool.ToolApp
import com.anjun.core.tool.utils.system.RuntimeUtil
import java.util.ServiceLoader


/**
 * desc:
 * createed by liyuzheng on 2023/8/28 17:42
 */
inline fun debug(block: () -> Unit) {
    if (ToolApp.debug) {
        block()
    }
}

inline fun release(block: () -> Unit) {
    if (!ToolApp.debug) {
        block()
    }
}

inline fun <reified T> getPlatformProxy(): T {
    val implList = ServiceLoader.load(T::class.java).toList()
    return runCatching {
        implList.find {
            it?.getSimpleNameLowerCase()?.contains(RuntimeUtil.platName) == true
        } as T
    }.getOrElse {
        implList.find {
            it?.getSimpleNameLowerCase()?.contains(RuntimeUtil.PLATFORM_DEFAULT) == true
        } as T
    }
}