package com.anjun.core.tool.ext

import android.widget.Toast
import androidx.annotation.StringRes
import com.anjun.core.tool.ToolApp

/**
 *
 * @Description
 * @Author melle
 * @CreateTime 2024/03/05 11:21:57
 */

inline fun <T, R> T.transform(block: (T) -> R): R? {
    return kotlin.runCatching {
        block(this)
    }.getOrNull()
}

fun showToast(@StringRes strRes: Int, duration: Int = Toast.LENGTH_SHORT) = ToolApp.toast?.let {
    it.setText(strRes)
    it.duration = duration
    it.show()
}

fun showToast(text: String, duration: Int = Toast.LENGTH_SHORT) = ToolApp.toast?.let {
    it.setText(text)
    it.duration = duration
    it.show()
}

fun getAppVersion(): String = ToolApp.context.let {
    it
        .packageManager.runCatching {
            getPackageInfo(it.packageName, 0)
                ?.versionName ?: ""
        }.getOrDefault("")

}

fun getAppVersionCode() = ToolApp.context.let {
    it
        .packageManager.runCatching {
            getPackageInfo(it.packageName, 0)
                ?.versionCode ?: -1
        }.getOrDefault(-1)

}