@file:JvmName("DateUtilKT")
package com.anjun.core.tool.utils

import java.text.SimpleDateFormat
import java.util.Calendar
import java.util.Date
import java.util.Locale

/**
 *
 * @author melle
 * @since 2024/06/18 11:44:35
 */
object DateUtil {

    @JvmStatic
    val YMDFormat = SimpleDateFormat("yyyy-MM-dd", Locale.CHINA)

    fun Long.toDateString(format: SimpleDateFormat) = format.format(this)

    fun Date.formatToString(format: SimpleDateFormat) = this.time.toDateString(format)

    fun getNowDateString(format: SimpleDateFormat) = System.currentTimeMillis().toDateString(format)

    fun getNowDate(format: SimpleDateFormat) = getNowDateString(format).toDate(format)

    fun String.toDate(format: SimpleDateFormat) = format.parse(this)

    fun Date.equalsDate(date: Date) = Calendar.getInstance().apply { time = this@equalsDate }.equals(Calendar.getInstance().apply { time =  date})
}