@Suppress("DSL_SCOPE_VIOLATION") // TODO: Remove once KTIJ-19369 is fixed
plugins {
    alias(libs.plugins.com.android.library)
    alias(libs.plugins.org.jetbrains.kotlin.android)
}

android {
    namespace = "com.anjun.common.base"
    compileSdk = libs.versions.compileSdk.get().toInt()

    defaultConfig {
        minSdk = libs.versions.minSdk.get().toInt()

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles("consumer-rules.pro")
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
    dataBinding {
        enable = true
    }
}

dependencies {

    implementation(libs.core.ktx)
    implementation(libs.appcompat)
    implementation(libs.material)
    testImplementation(libs.junit)
    androidTestImplementation(libs.androidx.test.ext.junit)
    androidTestImplementation(libs.espresso.core)

    compileOnly(project(":core:network"))
    compileOnly(project(":core:core_tool"))
    compileOnly(project(":core:core_mvvm"))
    compileOnly(project(":core:core_router"))
    compileOnly(project(":features:feature_common:common_view"))
    compileOnly(project(":data:data_main"))
    compileOnly(project(":service:service_main"))
//    compileOnly(project(":service:service_main"))
    implementation(libs.utilcodex)
    implementation(libs.gson)
    implementation(libs.lifecycle.viewmodle.ktx)
    implementation(libs.immersionbar)
    implementation(libs.immersionbar.ktx)
    implementation(files("libs/platform_sdk_v4.1.0326.jar"))
    implementation(libs.activity.ktx)

    implementation(libs.paging)
}