package com.anjun.common.base.activity

import androidx.databinding.ViewDataBinding
import com.anjun.common.base.R
import com.anjun.core.mvvm.BaseBindingActivity
import com.gyf.immersionbar.ktx.immersionBar

/**
 *
 * @Description
 * @Author melle
 * @CreateTime 2024/03/08 16:59:39
 */
abstract class AJBaseActivity<B: ViewDataBinding> : BaseBindingActivity<B>() {

    override fun setupStatusBar() {
        super.setupStatusBar()
        // 沉浸式状态栏
        immersionBar {
            // 默认状态栏字体颜色为黑色
            statusBarDarkFont(true)
            // 指定导航栏背景颜色
            navigationBarColor(R.color.statusColor)
            // 状态栏字体和导航栏内容自动变色，必须指定状态栏颜色和导航栏颜色才可以自动变色
            autoDarkModeEnable(true, 0.2f)
            fitsSystemWindows(true)
        }
    }
}