package com.anjun.common.base.activity

import android.annotation.SuppressLint
import androidx.activity.viewModels
import com.anjun.common.base.BaseScanListViewModel
import com.anjun.common.base.baseAdapter
import com.anjun.common.base.databinding.BaseViewScanListContentBinding
import com.anjun.common.base.databinding.ItemBaseScanListBinding
import com.anjun.core.mvvm.ext.getViewBinding

/**
 *
 * @Description
 * @Author melle
 * @CreateTime 2024/03/13 17:25:14
 */
abstract class BaseScanListActivity : BaseScanViewActivity<BaseViewScanListContentBinding>() {
    private val mViewMModel : BaseScanListViewModel by viewModels()

    override val mScanBinding by lazy {
        getViewBinding(layoutInflater,BaseViewScanListContentBinding::class.java).also { it.lifecycleOwner = this }
    }

    @SuppressLint("SetTextI18n")
    private val mListAdapter = baseAdapter<ItemBaseScanListBinding, String> { data, position->
        tvScanNum.text = data
        tvIndex.text = "${position+1}"
    }

    override fun BaseViewScanListContentBinding.initScanBinding() {
        lifecycleOwner = this@BaseScanListActivity
        viewModel = mViewMModel
        rvScanList.adapter = mListAdapter
    }

    override fun dealCodeResult(result: String) {
        mListAdapter.addData(result)
        mViewMModel.setListSize(mListAdapter.itemCount)
    }
}