package com.anjun.common.base.activity

import android.widget.TextView
import androidx.databinding.ViewDataBinding
import com.anjun.common.base.databinding.BaseTitleActivityBinding
import com.anjun.core.mvvm.ext.getViewBinding

/**
 *
 * @Description
 * @Author melle
 * @CreateTime 2024/03/13 11:07:36
 */
abstract class BaseTitleActivity<B : ViewDataBinding> : AJBaseActivity<BaseTitleActivityBinding>() {

    override val mBindingBase by lazy {
        getViewBinding(layoutInflater, BaseTitleActivityBinding::class.java).also { it.lifecycleOwner = this }
    }

    protected open val mBinding: B by lazy {
        getViewBinding<B>(layoutInflater).also { it.lifecycleOwner = this }
    }

    override fun BaseTitleActivityBinding.initBinding() {
        ivBack.setOnClickListener { finish() }
        tvTitle.setupTitle()
        flBaseContent.addView(mBinding.root)
        mBinding.initBindingView()
    }

    protected abstract fun TextView.setupTitle()

    protected abstract fun B.initBindingView()

}