package com.anjun.feature.main.home

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.anjun.common.base.ext.onSuccessCode
import com.anjun.common.base.ext.request
import com.anjun.common.base.utils.ApiUrls
import com.anjun.data.main.models.VersionModel

/**
 *
 * @author melle
 * @since 2024/03/28 17:40:36
 */
class HomeViewModel :ViewModel(){
    private val versionInfo = MutableLiveData<VersionModel?>(null)

    fun getVersion(): MutableLiveData<VersionModel?> {
        request<VersionModel>({
            api { ApiUrls.expressSystemApis.checkUpdate }
            params { "name" to "安骏跨境物流APP" }

        }){ result ->
            result.onSuccessCode {
                versionInfo.value = it.data
            }
        }
        return versionInfo
    }

}