package com.anjun.feature.main.login

import androidx.activity.viewModels
import com.anjun.common.base.activity.AJBaseActivity
import com.anjun.core.tool.ext.clicks
import com.anjun.data.main.UserMMKV
import com.anjun.feature.main.databinding.ActivityLoginBinding
import com.anjun.service.main.MainProxy

/**
 *
 * @Description
 * @Author melle
 * @CreateTime 2024/03/04 16:05:10
 */
class LoginActivity : AJBaseActivity<ActivityLoginBinding>() {

    private val mViewModel: LoginViewModel by viewModels()

    override fun ActivityLoginBinding.initBinding() {
        viewModel = mViewModel
        alLogin.clicks {
            mViewModel.login()
                .observe(this@LoginActivity) {
                    it?.let {
                        UserMMKV.userModel = it
                        MainProxy.launchHomeActivity(this@LoginActivity)
                        finish()
                    }
                }
        }
    }
}


