package com.anjun.feature.main.login

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.anjun.common.base.ext.onSuccessCode
import com.anjun.common.base.ext.request
import com.anjun.common.base.utils.ApiUrls
import com.anjun.common.base.utils.RSAUtils
import com.anjun.data.main.models.UserModel
import com.anjun.network.RequestMode

/**
 *
 * @author melle
 * @since 2024/03/21 17:57:53
 */
class LoginViewModel: ViewModel() {

    private val userModel = MutableLiveData<UserModel>()
    val userName = MutableLiveData("")
    val password = MutableLiveData("")
    val showPass = MutableLiveData(false)

    fun login(): MutableLiveData<UserModel> {
        request<UserModel>(
            {
                api { ApiUrls.systemApis.login }
                requestMode { RequestMode.POST }
                params { "username" to userName.value }
                params { "password" to RSAUtils.encode(password.value) }
                params { "source" to "I-1" }
            }
        ){ result ->
            result.onSuccessCode {response->
                response.data?.let {
                    userModel.postValue(it)
                }
            }
        }
        return userModel
    }

    fun onClickShowPass() {
        showPass.value = showPass.value != true
    }
}